Subject: Offline Message from Rye: Hello. I bought this as a gift for my significant o
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 23 Nov 2019 00:52:55 -0000

From: Rye <[email-masked]>
Phone: 
Location: San Francisco, United States
URL: https://swagtron.com/swagtron-return-rma-form/
Department: SwagTron

Hello. I bought this as a gift for my significant other last christimas and he's been using it daily and it seems like the battery has died. I won't hold a charge, it will charge and then only ride for a block on the street and then completely die. I was wondering if there is a way to get a new battery or would we have to get a brand new scooter, also wondering if this happened because he used it so much and if so would we have to keep replacing the battery. Thanks so much in advance!

----
Zopim
https://www.zopim.com